%define pypi_name jupyter_client

Name:           jupyter-client
Version:        6.1.6
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter protocol client APIs (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.io/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3dist(setuptools)
Requires:       python3-%{name} = %{version}-%{release}

%description
This software component contains the reference implementation
of the Jupyter protocol. It also provides client and kernel
management APIs to work with kernels and the "jupyter kernelspec"
entry point to install kernelspecs for use with Jupyter frontends.

This package contains the jupyter-kernelspec tool.

%package -n     python3-%{name}
Summary:        Jupyter protocol client APIs (Python 3)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:      jupyter-client < 6.1.6-2
Provides:       jupyter-client = %{version}-%{release}
Obsoletes:      python2-jupyter-client < 5.3.1-2

%description -n python3-%{name}
This software component contains the reference implementation
of the Jupyter protocol. It also provides client and kernel
management APIs to work with kernels and the "jupyter kernelspec"
entry point to install kernelspecs for use with Jupyter frontends.

This package installs the library for Python 3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{name}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter*
%{python3_sitelib}/


%changelog
* Mon Jan 11 2021 wally <wally> 6.1.6-2.mga8
+ Revision: 1671163
- obsolete old python2 pkg also providing jupyter-kernel
- move all binaries/scripts to python3 pkg
- make python3 pkg to provide jupyter-client

* Wed Aug 19 2020 guillomovitch <guillomovitch> 6.1.6-1.mga8
+ Revision: 1616148
- new version 6.1.6

* Tue Feb 18 2020 umeabot <umeabot> 5.3.4-2.mga8
+ Revision: 1538044
- Mageia 8 Mass Rebuild

* Wed Nov 13 2019 daviddavid <daviddavid> 5.3.4-1.mga8
+ Revision: 1459714
- new version: 5.3.4

* Sat Oct 12 2019 daviddavid <daviddavid> 5.3.3-1.mga8
+ Revision: 1452039
- new version: 5.3.3

* Mon Sep 16 2019 daviddavid <daviddavid> 5.3.1-2.mga8
+ Revision: 1442237
- rebuild for python3.8
- drop python2 support

* Tue Jul 23 2019 kekepower <kekepower> 5.3.1-1.mga8
+ Revision: 1423495
- Update to version 5.3.1

* Mon Jan 07 2019 wally <wally> 5.2.3-3.mga7
+ Revision: 1350949
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 5.2.3-2.mga7
+ Revision: 1279166
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 5.2.3-1.mga7
+ Revision: 1222031
- Update to version 5.2.3

* Sat Aug 05 2017 pterjan <pterjan> 4.2.2-2.mga7
+ Revision: 1135233
- Rebuild for python 3.6

* Sun Apr 17 2016 philippem <philippem> 4.2.2-1.mga6
+ Revision: 1003257
- imported package jupyter-client

